## groupie-tracker-geolocalization

### Objectives

You must follow the same [principles](../README.md) as the first subject.

- Groupie Tracker Geolocalization consists on mapping the different concerts locations of a certain artist/band given by the Client.

- You must use a process of converting addresses (ex: Germany Mainz) into geographic coordinates (ex: 49,59380 8,15052) which you must use to place markers for the concerts locations of a certain artist/band on a map.

- You are free to use the [Map API](https://rapidapi.com/blog/top-map-apis/) you found more appropriate.

### Instructions

- The backend must be written in **Go**
- You must handle website errors
- The code must respect the [good practices](../../good-practices/README.md)
- It is recommended to have **test files** for [unit testing](https://go.dev/doc/tutorial/add-a-test).

### Allowed packages

- Only the [standard Go](https://golang.org/pkg/) packages are allowed

### Usage

- Here is a simple [example](https://www.google.com/maps/place/Henderson+Island/@-24.3990887,-128.3627872,13.5z/data=!4m5!3m4!1s0x9e43f2cfaa5822c5:0x58ba891a3ed4565f!8m2!3d-24.3743846!4d-128.3270931) of the process of giving an address and returning a marker to the location.

This project will help you learn about :

- Manipulation and storage of data
- HTML
- Manipulation of Maps API
- Geolocation, geocoding, etc
- [Event](https://developer.mozilla.org/en-US/docs/Learn/JavaScript/Building_blocks/Events) creation and display
- JSON files and format
